GNU bug report logs - #46061
28.0.50; error "‘'postgres’ is not a known product

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 46061 <at> debbugs.gnu.org and Jean Louis <bugs@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46061 <at> debbugs.gnu.org:


Received: (at 46061) by debbugs.gnu.org; 1 Mar 2021 15:17:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 10:17:30 2021
Received: from localhost ([127.0.0.1]:50347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGkIc-0004Xx-Jv
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 10:17:30 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lGkIa-0004Xh-P1
 for 46061 <at> debbugs.gnu.org; Mon, 01 Mar 2021 10:17:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=aqZ6JvQvW4vqcMpBs6eszh67167+0hQLWrk0rTn5aEw=; b=JxdyhXKGhGSrqw036HcB879rAk
 xVdDBn55UC9CRmOFP44QrCsAxte/8gas5b8WG5HhDKU3VZHyxkb9jWalI6/CdX7j3rt3aAWTxGCDr
 nr3vyK/pcfEms4hsakgV58GgjJGxSSDmtN727iJCHoJGvOq7Ll7j8AIB6GTIGLsz7POw=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lGkIR-000315-QI; Mon, 01 Mar 2021 16:17:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#46061: 28.0.50; error =?utf-8?B?IuKAmCdwb3N0Z3Jlc+KAmQ==?=
 is not a known product
References: <86czxvtdi0.fsf@HIDDEN> <87tur6owe2.fsf@HIDDEN>
X-Now-Playing: Stephen Mallinder's _Um Dada_: "Satellite"
Date: Mon, 01 Mar 2021 16:17:18 +0100
In-Reply-To: <87tur6owe2.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 24 Jan 2021 22:30:45 +0100")
Message-ID: <877dmq7vk1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Jean Louis <bugs@HIDDEN>
    writes: > >> After M-x sql-postgres and clicking on the menu item SQL, I
   get this >> error: >> >> Debugger entered--Lisp error: (error "‘'postgres’
    is not a known > [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46061
Cc: 46061 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Jean Louis <bugs@HIDDEN> writes:
>
>> After M-x sql-postgres and clicking on the menu item SQL, I get this
>> error:
>>
>> Debugger entered--Lisp error: (error "=E2=80=98'postgres=E2=80=99 is not=
 a known
>> product; use =E2=80=98sql-add-product=E2=80=99 to add it first.")
>
> What's the value of the `sql-connection-alist' variable in the SQL buffer?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

(Benjamin Riefenstahl also reported that he couldn't reproduce the
problem.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46061; Package emacs. Full text available.

Message received at 46061 <at> debbugs.gnu.org:


Received: (at 46061) by debbugs.gnu.org; 25 Jan 2021 17:27:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 25 12:27:46 2021
Received: from localhost ([127.0.0.1]:39815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l45eU-0001or-95
	for submit <at> debbugs.gnu.org; Mon, 25 Jan 2021 12:27:46 -0500
Received: from odoacer.turtle-trading.net ([93.241.193.16]:59880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <benny@HIDDEN>) id 1l45eS-0001oa-88
 for 46061 <at> debbugs.gnu.org; Mon, 25 Jan 2021 12:27:44 -0500
Received: from justinian.turtle-trading.net ([192.168.2.118])
 by odoacer.turtle-trading.net with esmtp (Exim 4.80)
 (envelope-from <benny@HIDDEN>)
 id 1l45eL-0001oQ-LN; Mon, 25 Jan 2021 18:27:37 +0100
Received: from benny by justinian.turtle-trading.net with local (Exim 4.92)
 (envelope-from <benny@HIDDEN>)
 id 1l45eL-0003or-If; Mon, 25 Jan 2021 18:27:37 +0100
From: Benjamin Riefenstahl <b.riefenstahl@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#46061: 28.0.50; error =?utf-8?B?IuKAmCdwb3N0Z3Jlc+KAmQ==?=
 is not a known product
References: <86czxvtdi0.fsf@HIDDEN>
Date: Mon, 25 Jan 2021 18:27:37 +0100
In-Reply-To: <86czxvtdi0.fsf@HIDDEN> (Jean Louis's message of
 "Sun, 24 Jan 2021 02:55:19 +0300")
Message-ID: <87eei92agm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46061
Cc: 46061 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi jean,

Jean Louis writes:
> After M-x sql-postgres and clicking on the menu item SQL, I get this
> error:

I can not reproduce this with Emacs compiled from master and executed as
"src/emacs -q".  What else does this need?

> Debugger entered--Lisp error: (error "=E2=80=98'postgres=E2=80=99 is not =
a known
> product; use =E2=80=98sql-add-product=E2=80=99 to add it first.")
>   signal(error ("=E2=80=98'postgres=E2=80=99 is not a known product; use =
=E2=80=98sql-add-p..."))

It looks like there is one ' too much in there?  As in (quote 'postgres)
instead of plain 'postgres.

>   #f(compiled-function (menu) #<bytecode 0xfdb21298474a028>)(("--"
>   ["New SQLi Session" sql-product-interactive (sql-get-product-feature
>   sql-product :sqli-comint-func)]))

I do not have this menu item.  When I execute

  M-: (sql-product-interactive
       (sql-get-product-feature sql-product :sqli-comint-func))

that returns fine, result is

  #<window 7 on *SQL: Postgres*>

which is the window object I guess.

benny




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46061; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46061 <at> debbugs.gnu.org:


Received: (at 46061) by debbugs.gnu.org; 24 Jan 2021 21:30:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 24 16:30:58 2021
Received: from localhost ([127.0.0.1]:37424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l3myI-0005mq-6U
	for submit <at> debbugs.gnu.org; Sun, 24 Jan 2021 16:30:58 -0500
Received: from quimby.gnus.org ([95.216.78.240]:38150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l3myG-0005mb-7H
 for 46061 <at> debbugs.gnu.org; Sun, 24 Jan 2021 16:30:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=2eAJuLi4HxQocoXhljYOPsjJABAuw3PcTWJHc4ZbUcc=; b=EcNP6M5jgxuAK1Kjx9xHe/zI4r
 npQ6yUhZ1OqdRqV0kXe2QicGNQxpBhHsi+ukefTTci1lt7JqllVpc1muinBEOrwVN/kmg6KHsqMk3
 R9naDlyvhtgNK8OND9RI3yV2tx9GpSsTzPyELYwoOL0XrrKRpkk3r8F/Gz3T0bPXZuT0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l3my7-00043H-1o; Sun, 24 Jan 2021 22:30:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#46061: 28.0.50; error =?utf-8?B?IuKAmCdwb3N0Z3Jlc+KAmQ==?=
 is not a known product
References: <86czxvtdi0.fsf@HIDDEN>
X-Now-Playing: The Style Council's _The Complete Adventures (2)_: "The
 Piccadilly Trail"
Date: Sun, 24 Jan 2021 22:30:45 +0100
In-Reply-To: <86czxvtdi0.fsf@HIDDEN> (Jean Louis's message of
 "Sun, 24 Jan 2021 02:55:19 +0300")
Message-ID: <87tur6owe2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Jean Louis <bugs@HIDDEN> writes: > After M-x sql-postgres
    and clicking on the menu item SQL, I get this > error: > > Debugger entered--Lisp
    error: (error "‘'postgres’ is not a known product; use ‘sql-add-product’
    to add it fi [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46061
Cc: 46061 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean Louis <bugs@HIDDEN> writes:

> After M-x sql-postgres and clicking on the menu item SQL, I get this
> error:
>
> Debugger entered--Lisp error: (error "=E2=80=98'postgres=E2=80=99 is not =
a known product; use =E2=80=98sql-add-product=E2=80=99 to add it first.")

What's the value of the `sql-connection-alist' variable in the SQL buffer?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46061; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2021 23:58:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 18:58:53 2021
Received: from localhost ([127.0.0.1]:35620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l3Sns-0001Cd-CY
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2021 18:58:52 -0500
Received: from lists.gnu.org ([209.51.188.17]:34322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1l3Snq-0001CV-Ju
 for submit <at> debbugs.gnu.org; Sat, 23 Jan 2021 18:58:51 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37138)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1l3Snq-0007iX-BQ
 for bug-gnu-emacs@HIDDEN; Sat, 23 Jan 2021 18:58:50 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:53131)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1l3Snn-0003PE-Ro
 for bug-gnu-emacs@HIDDEN; Sat, 23 Jan 2021 18:58:49 -0500
Received: from localhost ([::ffff:197.157.34.165])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E085.00000000600CB814.0000507A; Sat, 23 Jan 2021 16:58:12 -0700
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; error =?utf-8?B?IuKAmCdwb3N0Z3Jlc+KAmQ==?= is not a known
 product
X-Hashcash: 1:20:210123:bug-gnu-emacs@HIDDEN::mjspTbRawBrM8vUd:00000000000000000000000000000000000000000N7i
Date: Sun, 24 Jan 2021 02:55:19 +0300
Message-ID: <86czxvtdi0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=217.170.207.13;
 envelope-from=admin@HIDDEN; helo=stw1.rcdrun.com
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


After M-x sql-postgres and clicking on the menu item SQL, I get this
error:

Debugger entered--Lisp error: (error "=E2=80=98'postgres=E2=80=99 is not a =
known product; use =E2=80=98sql-add-product=E2=80=99 to add it first.")
  signal(error ("=E2=80=98'postgres=E2=80=99 is not a known product; use =
=E2=80=98sql-add-p..."))
  error("`%s' is not a known product; use `sql-add-product' to add it first=
." 'postgres)
  sql-get-product-feature('postgres :sqli-login)
  sql-make-alternate-buffer-name()
  #f(compiled-function () #<bytecode 0x1e00135e2041>)()
  funcall(#f(compiled-function () #<bytecode 0x1e00135e2041>))
  (let ((sql-database '"my-database") (sql-password '"my-password") (sql-us=
er '"my-username") (sql-product ''postgres)) (funcall '#f(compiled-function=
 () #<bytecode 0x1e00135e2041>)))
  eval((let ((sql-database '"my-database") (sql-password '"my-password") (s=
ql-user '"my-username") (sql-product ''postgres)) (funcall '#f(compiled-fun=
ction () #<bytecode 0x1e00135e2041>))))
  #f(compiled-function (conn) #<bytecode -0x96a03124cfe7158>)(("local" (sql=
-product 'postgres) (sql-user "my-username") (sql-password "my-password") (=
sql-database "my-database")))
  mapcar(#f(compiled-function (conn) #<bytecode -0x96a03124cfe7158>) (("loc=
al" (sql-product 'postgres) (sql-user "my-username") (sql-password "my-pass=
word") (sql-database "my-database"))))
  sql-connection-menu-filter(("--" ["New SQLi Session" sql-product-interact=
ive (sql-get-product-feature sql-product :sqli-comint-func)]))
  #f(compiled-function (menu) #<bytecode 0xfdb21298474a028>)(("--" ["New SQ=
Li Session" sql-product-interactive (sql-get-product-feature sql-product :s=
qli-comint-func)]))

The value of variable `sql-product-alist' is:

Value:
((ansi :name "ANSI" :font-lock sql-mode-ansi-font-lock-keywords :statement =
sql-ansi-statement-starters)
 (db2 :name "DB2" :font-lock sql-mode-db2-font-lock-keywords :sqli-program =
sql-db2-program :sqli-options sql-db2-options :sqli-login sql-db2-login-par=
ams :sqli-comint-func sql-comint-db2 :prompt-regexp "^db2 =3D> " :prompt-le=
ngth 7 :prompt-cont-regexp "^db2 (cont\\.) =3D> " :input-filter sql-escape-=
newlines-filter)
 (informix :name "Informix" :font-lock sql-mode-informix-font-lock-keywords=
 :sqli-program sql-informix-program :sqli-options sql-informix-options :sql=
i-login sql-informix-login-params :sqli-comint-func sql-comint-informix :pr=
ompt-regexp "^> " :prompt-length 2 :syntax-alist
	   ((123 . "<")
	    (125 . ">")))
 (ingres :name "Ingres" :font-lock sql-mode-ingres-font-lock-keywords :sqli=
-program sql-ingres-program :sqli-options sql-ingres-options :sqli-login sq=
l-ingres-login-params :sqli-comint-func sql-comint-ingres :prompt-regexp "^=
\\* " :prompt-length 2 :prompt-cont-regexp "^\\* ")
 (interbase :name "Interbase" :font-lock sql-mode-interbase-font-lock-keywo=
rds :sqli-program sql-interbase-program :sqli-options sql-interbase-options=
 :sqli-login sql-interbase-login-params :sqli-comint-func sql-comint-interb=
ase :prompt-regexp "^SQL> " :prompt-length 5)
 (linter :name "Linter" :font-lock sql-mode-linter-font-lock-keywords :sqli=
-program sql-linter-program :sqli-options sql-linter-options :sqli-login sq=
l-linter-login-params :sqli-comint-func sql-comint-linter :prompt-regexp "^=
SQL>" :prompt-length 4)
 (mariadb :name "MariaDB" :free-software t :font-lock sql-mode-mariadb-font=
-lock-keywords :sqli-program sql-mariadb-program :sqli-options sql-mariadb-=
options :sqli-login sql-mariadb-login-params :sqli-comint-func sql-comint-m=
ariadb :list-all "SHOW TABLES;" :list-table "DESCRIBE %s;" :prompt-regexp "=
^MariaDB \\[.*]> " :prompt-cont-regexp "^    [\"'`-]> " :syntax-alist
	  ((35 . "< b"))
	  :input-filter sql-remove-tabs-filter)
 (ms :name "Microsoft" :font-lock sql-mode-ms-font-lock-keywords :sqli-prog=
ram sql-ms-program :sqli-options sql-ms-options :sqli-login sql-ms-login-pa=
rams :sqli-comint-func sql-comint-ms :prompt-regexp "^[0-9]*>" :prompt-cont=
-regexp "^[0-9]*>" :prompt-length 5 :syntax-alist
     ((64 . "_"))
     :terminator
     ("^go" . "go"))
 (mysql :name "MySQL" :free-software t :font-lock sql-mode-mysql-font-lock-=
keywords :sqli-program sql-mysql-program :sqli-options sql-mysql-options :s=
qli-login sql-mysql-login-params :sqli-comint-func sql-comint-mysql :list-a=
ll "SHOW TABLES;" :list-table "DESCRIBE %s;" :prompt-regexp "^mysql> " :pro=
mpt-length 6 :prompt-cont-regexp "^    -> " :syntax-alist
	((35 . "< b")
	 (92 . "\\"))
	:input-filter sql-remove-tabs-filter)
 (oracle :name "Oracle" :font-lock sql-mode-oracle-font-lock-keywords :sqli=
-program sql-oracle-program :sqli-options sql-oracle-options :sqli-login sq=
l-oracle-login-params :sqli-comint-func sql-comint-oracle :list-all sql-ora=
cle-list-all :list-table sql-oracle-list-table :completion-object sql-oracl=
e-completion-object :prompt-regexp "^SQL> " :prompt-length 5 :prompt-cont-r=
egexp "^\\(?:[ ][ ][1-9]\\|[ ][1-9][0-9]\\|[1-9][0-9]\\{2\\}\\)[ ]\\{2\\}" =
:statement sql-oracle-statement-starters :syntax-alist
	 ((36 . "_")
	  (35 . "_"))
	 :terminator
	 ("\\(^/\\|;\\)" . "/")
	 :input-filter sql-placeholders-filter)
 (postgres :name "Postgres" :free-software t :font-lock sql-mode-postgres-f=
ont-lock-keywords :sqli-program sql-postgres-program :sqli-options sql-post=
gres-options :sqli-login sql-postgres-login-params :sqli-comint-func sql-co=
mint-postgres :list-all
	   ("\\d+" . "\\dS+")
	   :list-table
	   ("\\d+ %s" . "\\dS+ %s")
	   :completion-object sql-postgres-completion-object :prompt-regexp "^[[:a=
lnum:]_]*=3D[#>] " :prompt-length 5 :prompt-cont-regexp "^[[:alnum:]_]*[-(]=
[#>] " :input-filter sql-remove-tabs-filter :terminator
	   ("\\(^\\s-*\\\\g\\|;\\)" . "\\g"))
 (solid :name "Solid" :font-lock sql-mode-solid-font-lock-keywords :sqli-pr=
ogram sql-solid-program :sqli-options sql-solid-options :sqli-login sql-sol=
id-login-params :sqli-comint-func sql-comint-solid :prompt-regexp "^" :prom=
pt-length 0)
 (sqlite :name "SQLite" :free-software t :font-lock sql-mode-sqlite-font-lo=
ck-keywords :sqli-program sql-sqlite-program :sqli-options sql-sqlite-optio=
ns :sqli-login sql-sqlite-login-params :sqli-comint-func sql-comint-sqlite =
:list-all ".tables" :list-table ".schema %s" :completion-object sql-sqlite-=
completion-object :prompt-regexp "^sqlite> " :prompt-length 8 :prompt-cont-=
regexp "^   \\.\\.\\.> ")
 (sybase :name "Sybase" :font-lock sql-mode-sybase-font-lock-keywords :sqli=
-program sql-sybase-program :sqli-options sql-sybase-options :sqli-login sq=
l-sybase-login-params :sqli-comint-func sql-comint-sybase :prompt-regexp "^=
SQL> " :prompt-length 5 :syntax-alist
	 ((64 . "_"))
	 :terminator
	 ("^go" . "go"))
 (vertica :name "Vertica" :sqli-program sql-vertica-program :sqli-options s=
ql-vertica-options :sqli-login sql-vertica-login-params :sqli-comint-func s=
ql-comint-vertica :list-all
	  ("\\d" . "\\dS")
	  :list-table "\\d %s" :prompt-regexp "^[[:alnum:]_]*=3D[#>] " :prompt-len=
gth 5 :prompt-cont-regexp "^[[:alnum:]_]*[-(][#>] "))



In GNU Emacs 28.0.50 (build 4, x86_64-pc-linux-gnu, X toolkit, cairo versio=
n 1.14.8, Xaw3d scroll bars)
 of 2021-01-01 built on protected.rcdrun.com
Repository revision: 30a1d5da7a43d51a97cbe8d91add9a26dd99df90
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11907000
System Description: Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=3D/package/text/emacs --with-modules
 --with-x-toolkit=3Dlucid
 PKG_CONFIG_PATH=3D/home/data1/protected/GNUstep/Library/Libraries/pkgconfi=
g:/usr/lib/pkgconfig'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=3Dexwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort hashcash mail-extr emacsbug message rmc puny dired
dired-loaddefs rfc822 mml easymenu mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map text-property-search
time-date subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils iso-transl tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 55368 5781)
 (symbols 48 7329 0)
 (strings 32 20348 2406)
 (string-bytes 1 649572)
 (vectors 16 13014)
 (vector-slots 8 226056 20087)
 (floats 8 26 39)
 (intervals 56 256 0)
 (buffers 984 12))

--=20
Thanks,
Jean Louis
=E2=8E=94 =CE=BB =F0=9F=84=AF =F0=9D=8D=84 =F0=9D=8C=A1 =F0=9D=8C=9A




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46061; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 Mar 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.